> For the complete documentation index, see [llms.txt](https://apidocs.abit.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.abit.vn/api-mo-rong/shopee-vi-shopee.md).

# (Shopee) Ví Shopee

API cho phép lấy danh sách giao dịch TIỀN VÀO, TIỀN RA của một gian hàng đã kết nối vào Abit, giá trị trả về API tương ứng với giá trị bạn nhìn thấy trong mục Doanh thu trên Seller Center của Shopee

URL API: [https://new.abitstore.vn](https://new.abitstore.vn/ecommerce/getWalletTransactionListByPartner)

<mark style="color:green;">`POST /ecommerce/getWalletTransactionListByPartner`</mark>

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

<table><thead><tr><th width="149">Name</th><th width="95">Type</th><th>Description</th></tr></thead><tbody><tr><td>access_token</td><td>string</td><td>Mã Access token được khởi tạo và cấp quyền bởi chủ tài khoản Abit, Xem hướng dẫn tạo <a href="https://apidocs.abit.vn/gioi-thieu-ve-abit-open-api.md#khoi-tao-access-token"><mark style="color:red;"><strong>Access Token</strong></mark> </a></td></tr><tr><td>partner_name</td><td>string</td><td>Mã shop khi đăng ký Abit</td></tr><tr><td>date_time_start</td><td>string</td><td>Thời gian bắt đầu, định dạng mẫu "2025-10-30 00:00:00"</td></tr><tr><td>date_time_end</td><td>string</td><td>Thời gian kết thúc, định dạng mẫu "2025-10-30 23:59:59"</td></tr><tr><td>ecommerce_id</td><td>string</td><td>ID gian hàng Shopee , TikTok Shop ... được kết nối vào Abit, lấy thông tin ID trong mục <strong>Kết nối đa kênh =⇒ Kết nối sàn TMĐT</strong></td></tr><tr><td>page</td><td>int</td><td>Phân trang dữ liệu, mặc định là 0,</td></tr><tr><td>limit</td><td>int</td><td>Số bản ghi dữ liệu sẽ được lấy ra, Shopee hỗ trợ lấy tối đa 100 bản ghi/ trang</td></tr></tbody></table>

{% tabs %}
{% tab title="Body" %}

```json
{
    "access_token": "Zjg5ZDYzNmFmOGFkYmQwODVmMzVmOWM4YTRlMDFiMWQ=",
    "partner_name": "Abit",
    "date_time_start": "2025-10-28 00:00:00",
    "date_time_end": "2025-10-31 23:59:59",
    "ecommerce_id": "208830782",
    "page": 0,
    "limit": 10
}
```

{% endtab %}

{% tab title="Response" %}

```json
{
    "status": "success",
    "transaction_list": [
        {
            "transaction_id": 222276629898990118,
            "status": "COMPLETED",
            "wallet_type": "shopee_pay",
            "transaction_type": "ESCROW_VERIFIED_ADD",
            "amount": 391825,
            "current_balance": 10502090,
            "create_time": 1773482395,
            "reason": "",
            "order_sn": "260306DAP0YRQC",
            "refund_sn": "",
            "withdrawal_type": "",
            "transaction_fee": 0,
            "description": "Doanh Thu từ Đơn Hàng #260306DAP0YRQC",
            "buyer_name": "nguynxinh0239",
            "pay_order_list": [],
            "withdrawal_id": 0,
            "root_withdrawal_id": 0,
            "remarks": {
                "free_sample_order_id": null,
                "ppp_project_id": null
            },
            "transaction_tab_type": "wallet_order_income",
            "money_flow": "MONEY_IN",
            "outlet_shop_name": ""
        },
        {
            "transaction_id": 222180971565289723,
            "status": "COMPLETED",
            "wallet_type": "shopee_pay",
            "transaction_type": "ADJUSTMENT_FOR_RR_AFTER_ESCROW_VERIFIED",
            "amount": -33040,
            "current_balance": 10110265,
            "create_time": 1773425378,
            "reason": "",
            "order_sn": "260216SCVDN808",
            "refund_sn": "",
            "withdrawal_type": "",
            "transaction_fee": 0,
            "description": "Điều chỉnh Đơn hàng 260216SCVDN808 do phát sinh Trả hàng/Hoàn tiền",
            "buyer_name": "vitalii2752",
            "pay_order_list": [],
            "withdrawal_id": 0,
            "root_withdrawal_id": 0,
            "remarks": {
                "free_sample_order_id": null,
                "ppp_project_id": null
            },
            "transaction_tab_type": "wallet_adjustment_filter",
            "money_flow": "MONEY_OUT",
            "outlet_shop_name": ""
        },
        {
            "transaction_id": 222112380316816342,
            "status": "COMPLETED",
            "wallet_type": "shopee_pay",
            "transaction_type": "ESCROW_VERIFIED_ADD",
            "amount": 35425,
            "current_balance": 9611461,
            "create_time": 1773384495,
            "reason": "",
            "order_sn": "260307H435RVDB",
            "refund_sn": "",
            "withdrawal_type": "",
            "transaction_fee": 0,
            "description": "Doanh Thu từ Đơn Hàng #260307H435RVDB",
            "buyer_name": "katran2743",
            "pay_order_list": [],
            "withdrawal_id": 0,
            "root_withdrawal_id": 0,
            "remarks": {
                "free_sample_order_id": null,
                "ppp_project_id": null
            },
            "transaction_tab_type": "wallet_order_income",
            "money_flow": "MONEY_IN",
            "outlet_shop_name": ""
        }
    ],
    "code": 200
}
```

{% endtab %}
{% endtabs %}

Thông tin giá trị API trả về shop có thể tham khảo tại đây: <https://open.shopee.com/documents/v2/v2.payment.get_wallet_transaction_list?module=97&type=1>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://apidocs.abit.vn/api-mo-rong/shopee-vi-shopee.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
